View Issue Details

IDProjectCategoryView StatusLast Update
0023931FPCRTLpublic2016-08-19 18:09
ReporterTakeda Matsuki Assigned ToSven Barth  
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformarm-androidOSWindows 7 Ultimate SP1 x64 
Product Version2.7.1 
Fixed in Version3.0.0 
Summary0023931: [arm-android] : " No rule to make target `clocale.pp' "
DescriptionHere chunk of output log (using make.exe v3.82):

........
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE ../objpas/stdconvs
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE ../objpas/strutils
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE ../unix/dos.pp
dos.pp(236,9) Warning: Symbol "weekday" is not portable
dos.pp(592,6) Warning: Symbol "UnixDateToDt" is not portable
dos.pp(816,4) Warning: Symbol "UnixDateToDt" is not portable
dos.pp(832,16) Warning: Symbol "DTToUnixDate" is not portable
dos.pp(889,6) Warning: Symbol "FpGetEnv" is deprecated
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE ../inc/objects.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE cwstring.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE ../linux/fpcylix.p
p
make[4]: *** No rule to make target `clocale.pp', needed by `clocale.ppu'. Stop
.
make[4]: Leaving directory `d:/freepascal271/rtl/android'
make[3]: *** [android_all] Error 2
make[3]: Leaving directory `d:/freepascal271/rtl'
make[2]: *** [rtl_all] Error 2
make[2]: Leaving directory `d:/freepascal271'
make[1]: *** [build-stamp.arm-android] Error 2
make[1]: Leaving directory `d:/freepascal271'
make: *** [crossall] Error 2

d:\freepascal271>
Steps To ReproduceI tried to build compiler for target arm-android from Windows using this script :

-------------------------------------------------

cd d:\freepascal271

set myroot=d:\freepascal271
set myFPC=d:\freepascal271\fpc\2.7.1
set mybinutils=d:\freepascal271\binutils
set mycrossbin=D:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III

set PATH=d:\freepascal271\binutils\i386-win32;D:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III;d:\freepascal271\fpc\2.7.1\bin\i386-win32;

make clean crossall OS_TARGET=android CPU_TARGET=arm crossinstall CROSSBINDIR=%mycrossbin% BINUTILSPREFIX=arm-linux-androideabi- INSTALL_PREFIX=%myFPC% DATA2INC=%myfpc%\utils\data2inc.exe

--------------------------------------------------

Notes :
1. I use FPC 2.6.0 as starting compiler and use NDK8d ToolChains (arm-linux-androideabi)

2. I use Windows 7 Ultimate x64 SP1

3. AMD A8 APU Processor with AHCI-System enabled.

4. I already tried to use make.exe both v3.80 and v3.82, the result is same (see the attachment).

Regards,
Takeda
TagsNo tags attached.
Fixed in Revision 23646
FPCOldBugId
FPCTarget
Attached Files

Activities

Takeda Matsuki

2013-02-21 18:08

reporter  

Clocale failed (using make v3.80).txt (19,904 bytes)   
to "UnicodeString"
sysformt.inc(290,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(294,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(296,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(300,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(302,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(310,27) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(313,29) Warning: Implicit string type conversion from "Char" to "Un
icodeString"
sysformt.inc(328,25) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(342,22) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(365,24) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(374,24) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(382,20) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(384,26) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysencoding.inc(297,51) Warning: Implicit string type conversion with potential
data loss from "UnicodeString" to "AnsiString"
sysencoding.inc(370,13) Warning: Implicit string type conversion from "AnsiStrin
g" to "UnicodeString"
sysencoding.inc(503,13) Warning: Implicit string type conversion from "AnsiStrin
g" to "UnicodeString"
sysencoding.inc(581,13) Warning: Implicit string type conversion from "AnsiStrin
g" to "UnicodeString"
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/math.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/macpas.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/iso7185.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/syscall.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/unixutil.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/fpintres.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Sg ../inc/heaptrc
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/lineinfo.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/lnfodwrf.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/termio.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/linux.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/initc.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/cmem.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/crt.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/printer.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/linuxvcs.
pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/rtlconst
s.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Sg ../objpas/typi
nfo.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/matrix.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -I../objpas ../uni
x/varutils.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/charset.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/characte
r.pas
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/ucomplex.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/getopts.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/sockets.pp

sockets.inc(371,14) Warning: Symbol "htonl" is deprecated
sockets.inc(377,14) Warning: Symbol "NToHl" is deprecated
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/gpm.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/serial.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/terminfo.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/dl.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/dynlibs.pas

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/video.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/mouse.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/keyboard.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Fi../inc ../inc/v
ariants.pp
variants.pp(4360,32) Warning: Comparison might be always true due to range of co
nstant and expression
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/types.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -I../objpas ../obj
pas/dateutils.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/fgl.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Fi../objpas/class
es ../unix/classes.pp
parser.inc(296,42) Warning: Implicit string type conversion from "AnsiString" to
 "UnicodeString"
parser.inc(479,25) Warning: Implicit string type conversion with potential data
loss from "WideString" to "AnsiString"
parser.inc(493,13) Warning: Implicit string type conversion from "AnsiString" to
 "WideString"
tthread.inc(226,19) Warning: Symbol "Resume" is deprecated
tthread.inc(243,5) Warning: Symbol "Suspend" is deprecated
tthread.inc(244,13) Warning: Symbol "Resume" is deprecated
classes.inc(209,9) Warning: Symbol "Resume" is deprecated
classes.inc(226,11) Warning: Symbol "Resume" is deprecated
classes.inc(587,13) Warning: Symbol "GetTickCount" is deprecated: "Use GetTickCo
unt64 instead"
classes.inc(1847,48) Warning: Implicit string type conversion from "AnsiString"
to "WideString"
reader.inc(1495,17) Warning: Implicit string type conversion with potential data
 loss from "UnicodeString" to "AnsiString"
reader.inc(1498,21) Warning: Implicit string type conversion with potential data
 loss from "WideString" to "AnsiString"
reader.inc(1500,21) Warning: Implicit string type conversion with potential data
 loss from "UnicodeString" to "AnsiString"
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/fmtbcd.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/cthreads.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/convutil
s.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/stdconvs
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/strutils
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/dos.pp
dos.pp(236,9) Warning: Symbol "weekday" is not portable
dos.pp(592,6) Warning: Symbol "UnixDateToDt" is not portable
dos.pp(816,4) Warning: Symbol "UnixDateToDt" is not portable
dos.pp(832,16) Warning: Symbol "DTToUnixDate" is not portable
dos.pp(889,6) Warning: Symbol "FpGetEnv" is deprecated
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/objects.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  cwstring.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/fpcylix.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  clocale.pp
Fatal: Can't open file "clocale.pp"
Fatal: Compilation aborted
make[5]: *** [clocale.ppu] Error 1
make[5]: Leaving directory `d:/freepascal271/rtl/android'
make[4]: *** [android_all] Error 2
make[4]: Leaving directory `d:/freepascal271/rtl'
make[3]: *** [rtl] Error 2
make[3]: Leaving directory `d:/freepascal271/compiler'
make[2]: *** [cycle] Error 2
make[2]: Leaving directory `d:/freepascal271/compiler'
make[1]: *** [compiler_cycle] Error 2
make[1]: Leaving directory `d:/freepascal271'
make: *** [build-stamp.arm-android] Error 2

d:\freepascal271>

Takeda Matsuki

2013-02-21 18:09

reporter  

Clocale failed (using make v3.82).txt (19,855 bytes)   
sysformt.inc(278,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(282,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(284,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(288,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(290,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(294,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(296,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(300,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(302,24) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(310,27) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(313,29) Warning: Implicit string type conversion from "Char" to "Un
icodeString"
sysformt.inc(328,25) Warning: Implicit string type conversion from "AnsiString"
to "UnicodeString"
sysformt.inc(342,22) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(365,24) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(374,24) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(382,20) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysformt.inc(384,26) Warning: Implicit string type conversion from "ShortString"
 to "UnicodeString"
sysencoding.inc(297,51) Warning: Implicit string type conversion with potential
data loss from "UnicodeString" to "AnsiString"
sysencoding.inc(370,13) Warning: Implicit string type conversion from "AnsiStrin
g" to "UnicodeString"
sysencoding.inc(503,13) Warning: Implicit string type conversion from "AnsiStrin
g" to "UnicodeString"
sysencoding.inc(581,13) Warning: Implicit string type conversion from "AnsiStrin
g" to "UnicodeString"
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/math.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/macpas.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/iso7185.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/syscall.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/unixutil.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/fpintres.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Sg ../inc/heaptrc
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/lineinfo.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/lnfodwrf.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/termio.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/linux.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/initc.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/cmem.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/crt.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/printer.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/linuxvcs.
pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/rtlconst
s.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Sg ../objpas/typi
nfo.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/matrix.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -I../objpas ../uni
x/varutils.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/charset.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/characte
r.pas
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/ucomplex.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/getopts.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/sockets.pp

sockets.inc(371,14) Warning: Symbol "htonl" is deprecated
sockets.inc(377,14) Warning: Symbol "NToHl" is deprecated
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/gpm.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/serial.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/terminfo.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/dl.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/dynlibs.pas

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/video.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/mouse.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/keyboard.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Fi../inc ../inc/v
ariants.pp
variants.pp(4360,32) Warning: Comparison might be always true due to range of co
nstant and expression
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/types.pp

d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -I../objpas ../obj
pas/dateutils.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/fgl.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  -Fi../objpas/class
es ../unix/classes.pp
parser.inc(296,42) Warning: Implicit string type conversion from "AnsiString" to
 "UnicodeString"
parser.inc(479,25) Warning: Implicit string type conversion with potential data
loss from "WideString" to "AnsiString"
parser.inc(493,13) Warning: Implicit string type conversion from "AnsiString" to
 "WideString"
tthread.inc(226,19) Warning: Symbol "Resume" is deprecated
tthread.inc(243,5) Warning: Symbol "Suspend" is deprecated
tthread.inc(244,13) Warning: Symbol "Resume" is deprecated
classes.inc(209,9) Warning: Symbol "Resume" is deprecated
classes.inc(226,11) Warning: Symbol "Resume" is deprecated
classes.inc(587,13) Warning: Symbol "GetTickCount" is deprecated: "Use GetTickCo
unt64 instead"
classes.inc(1847,48) Warning: Implicit string type conversion from "AnsiString"
to "WideString"
reader.inc(1495,17) Warning: Implicit string type conversion with potential data
 loss from "UnicodeString" to "AnsiString"
reader.inc(1498,21) Warning: Implicit string type conversion with potential data
 loss from "WideString" to "AnsiString"
reader.inc(1500,21) Warning: Implicit string type conversion with potential data
 loss from "UnicodeString" to "AnsiString"
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/fmtbcd.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/cthreads.p
p
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/convutil
s.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/stdconvs
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../objpas/strutils
.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../unix/dos.pp
dos.pp(236,9) Warning: Symbol "weekday" is not portable
dos.pp(592,6) Warning: Symbol "UnixDateToDt" is not portable
dos.pp(816,4) Warning: Symbol "UnixDateToDt" is not portable
dos.pp(832,16) Warning: Symbol "DTToUnixDate" is not portable
dos.pp(889,6) Warning: Symbol "FpGetEnv" is deprecated
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../inc/objects.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  cwstring.pp
d:/freepascal271/compiler/ppcrossarm.exe -Ur -Tandroid -Parm -XParm-linux-androi
deabi- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../arm -Fi../unix -Fiarm -Fi../linux -Fi.
./linux/arm -FDD:\freepascal271\binutils\aw-bincross\aw-win32-arm-android-III -F
E. -FUd:/freepascal271/rtl/units/arm-android -darm -dRELEASE  ../linux/fpcylix.p
p
make[4]: *** No rule to make target `clocale.pp', needed by `clocale.ppu'.  Stop
.
make[4]: Leaving directory `d:/freepascal271/rtl/android'
make[3]: *** [android_all] Error 2
make[3]: Leaving directory `d:/freepascal271/rtl'
make[2]: *** [rtl_all] Error 2
make[2]: Leaving directory `d:/freepascal271'
make[1]: *** [build-stamp.arm-android] Error 2
make[1]: Leaving directory `d:/freepascal271'
make: *** [crossall] Error 2

d:\freepascal271>

Marco van de Voort

2013-02-21 21:42

manager   ~0065806

For some reason, $(UNIXINC)/ is missing before the clocale rule.

The original Linux Makefile.fpc does have it, so I assume that means it was removed on purpose?

Takeda Matsuki

2013-02-22 11:03

reporter   ~0065813

Something like the attachment (clocale missing patch - takeda.patch), Mr Marco van de Voort?

Thank in advances,
Takeda.

Takeda Matsuki

2013-02-22 11:03

reporter  

clocale missing patch - takeda.patch (1,434 bytes)   
Index: android/Makefile
===================================================================
--- android/Makefile	(revision 23644)
+++ android/Makefile	(working copy)
@@ -3370,8 +3370,8 @@
 	$(COMPILER) $(LINUXINC)/gpm.pp
 ctypes$(PPUEXT) :  $(INC)/ctypes.pp $(SYSTEMUNIT)$(PPUEXT)
 	$(COMPILER) $(INC)/ctypes.pp
-clocale$(PPUEXT) :  clocale.pp $(SYSTEMUNIT)$(PPUEXT)
-	$(COMPILER) clocale.pp
+clocale$(PPUEXT) :  $(UNIXINC)/clocale.pp $(SYSTEMUNIT)$(PPUEXT)
+	$(COMPILER) $(UNIXINC)/clocale.pp
 fpcylix$(PPUEXT) : $(LINUXINC)/fpcylix.pp cthreads$(PPUEXT) cwstring$(PPUEXT) dynlibs$(PPUEXT) objpas$(PPUEXT) $(SYSTEMUNIT)$(PPUEXT)
 	$(COMPILER) $(LINUXINC)/fpcylix.pp
 termio$(PPUEXT) : $(LINUXINC)/termio.pp $(SYSTEMUNIT)$(PPUEXT) baseunix$(PPUEXT)
Index: android/Makefile.fpc
===================================================================
--- android/Makefile.fpc	(revision 23644)
+++ android/Makefile.fpc	(working copy)
@@ -315,8 +315,8 @@
 ctypes$(PPUEXT) :  $(INC)/ctypes.pp $(SYSTEMUNIT)$(PPUEXT)
         $(COMPILER) $(INC)/ctypes.pp
 
-clocale$(PPUEXT) :  clocale.pp $(SYSTEMUNIT)$(PPUEXT)
-        $(COMPILER) clocale.pp
+clocale$(PPUEXT) :  $(UNIXINC)/clocale.pp $(SYSTEMUNIT)$(PPUEXT)
+        $(COMPILER) $(UNIXINC)/clocale.pp
 	
 fpcylix$(PPUEXT) : $(LINUXINC)/fpcylix.pp cthreads$(PPUEXT) cwstring$(PPUEXT) dynlibs$(PPUEXT) objpas$(PPUEXT) $(SYSTEMUNIT)$(PPUEXT)
         $(COMPILER) $(LINUXINC)/fpcylix.pp

silvioprog

2013-02-22 16:37

reporter   ~0065820

Hello Takeda and guys,

Please, can you make the patch on root path of your FPC?

silvioprog

2013-02-22 16:51

reporter   ~0065821

After apply your patch I got another error. The make log in attachment.

silvioprog

2013-02-22 16:52

reporter  

make-20130222-1246.log (11,235 bytes)   
make all CROSSINSTALL=1
make[1]: Entering directory `C:/Develop/FPC/FPC'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `C:/Develop/FPC/FPC'
make install CROSSINSTALL=1
make[1]: Entering directory `C:/Develop/FPC/FPC'
make installbase FPC=C:/Develop/FPC/FPC/compiler/ppcrossarm.exe ZIPDESTDIR=C:/Develop/FPC/FPC FPCMAKE=C:/Develop/FPC/FPC/utils/fpcm/fpcmake.exe
make[2]: Entering directory `C:/Develop/FPC/FPC'
C:/lazarus/fpc/2.7.1/bin/i386-win32/ginstall.exe -m 755 -d C:\Develop\FPC\pp\
C:/lazarus/fpc/2.7.1/bin/i386-win32/ginstall.exe -m 755 -d C:\Develop\FPC\pp\/bin/i386-win32
make compiler_install FPC=C:/Develop/FPC/FPC/compiler/ppcrossarm.exe ZIPDESTDIR=C:/Develop/FPC/FPC FPCMAKE=C:/Develop/FPC/FPC/utils/fpcm/fpcmake.exe
make[3]: Entering directory `C:/Develop/FPC/FPC'
make -C compiler install
make[4]: Entering directory `C:/Develop/FPC/FPC/compiler'
make -C utils install
make[5]: Entering directory `C:/Develop/FPC/FPC/compiler/utils'
make[5]: Nothing to be done for `install'.
make[5]: Leaving directory `C:/Develop/FPC/FPC/compiler/utils'
C:/lazarus/fpc/2.7.1/bin/i386-win32/ginstall.exe -m 755 -d C:\Develop\FPC\pp\/bin/i386-win32
C:/lazarus/fpc/2.7.1/bin/i386-win32/cp.exe -fp ppcrossarm.exe C:\Develop\FPC\pp\/bin/i386-win32/ppcrossarm.exe
make[4]: Leaving directory `C:/Develop/FPC/FPC/compiler'
make[3]: Leaving directory `C:/Develop/FPC/FPC'
make rtl_install FPC=C:/Develop/FPC/FPC/compiler/ppcrossarm.exe ZIPDESTDIR=C:/Develop/FPC/FPC FPCMAKE=C:/Develop/FPC/FPC/utils/fpcm/fpcmake.exe
make[3]: Entering directory `C:/Develop/FPC/FPC'
make -C rtl install
make[4]: Entering directory `C:/Develop/FPC/FPC/rtl'
make -C android all
make[5]: Entering directory `C:/Develop/FPC/FPC/rtl/android'
make[5]: Leaving directory `C:/Develop/FPC/FPC/rtl/android'
C:/Develop/FPC/FPC/utils/fpcm/fpcmake.exe -p -Tarm-android Makefile.fpc
Processing Makefile.fpc
 Writing Package.fpc
C:/lazarus/fpc/2.7.1/bin/i386-win32/ginstall.exe -m 755 -d C:\Develop\FPC\pp\/units/arm-android/rtl
C:/lazarus/fpc/2.7.1/bin/i386-win32/cp.exe -fp Package.fpc C:\Develop\FPC\pp\/units/arm-android/rtl
make -C android install
make[5]: Entering directory `C:/Develop/FPC/FPC/rtl/android'
C:/lazarus/fpc/2.7.1/bin/i386-win32/ginstall.exe -m 755 -d C:\Develop\FPC\pp\/units/arm-android/rtl
C:/lazarus/fpc/2.7.1/bin/i386-win32/cp.exe -fp C:/Develop/FPC/FPC/rtl/units/arm-android/prt0.o C:/Develop/FPC/FPC/rtl/units/arm-android/dllprt0.o C:\Develop\FPC\pp\/units/arm-android/rtl
C:/lazarus/fpc/2.7.1/bin/i386-win32/ginstall.exe -m 755 -d C:\Develop\FPC\pp\/units/arm-android/rtl
C:/lazarus/fpc/2.7.1/bin/i386-win32/cp.exe -fp C:/Develop/FPC/FPC/rtl/units/arm-android/system.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/uuchar.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/unixtype.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/ctypes.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/baseunix.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/strings.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/objpas.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/macpas.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/iso7185.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/syscall.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/unixutil.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/fpintres.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/heaptrc.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/lineinfo.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/lnfodwrf.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/termio.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/unix.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/linux.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/initc.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/cmem.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/crt.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/printer.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/linuxvcs.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/sysutils.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/typinfo.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/math.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/matrix.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/varutils.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/charset.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/character.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/ucomplex.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/getopts.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/errors.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/sockets.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/gpm.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/serial.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/terminfo.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/dl.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/dynlibs.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/video.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/mouse.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/keyboard.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/variants.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/types.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/dateutils.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/sysconst.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/fmtbcd.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/cthreads.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/classes.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/fgl.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/convutils.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/stdconvs.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/strutils.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/rtlconsts.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/dos.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/objects.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/cwstring.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/fpcylix.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/clocale.ppu C:/Develop/FPC/FPC/rtl/units/arm-android/exeinfo.ppu C:\Develop\FPC\pp\/units/arm-android/rtl
C:/lazarus/fpc/2.7.1/bin/i386-win32/cp.exe -fp C:/Develop/FPC/FPC/rtl/units/arm-android/system.o C:/Develop/FPC/FPC/rtl/units/arm-android/unixtype.o C:/Develop/FPC/FPC/rtl/units/arm-android/ctypes.o C:/Develop/FPC/FPC/rtl/units/arm-android/baseunix.o C:/Develop/FPC/FPC/rtl/units/arm-android/strings.o C:/Develop/FPC/FPC/rtl/units/arm-android/objpas.o C:/Develop/FPC/FPC/rtl/units/arm-android/macpas.o C:/Develop/FPC/FPC/rtl/units/arm-android/iso7185.o C:/Develop/FPC/FPC/rtl/units/arm-android/unixutil.o C:/Develop/FPC/FPC/rtl/units/arm-android/fpintres.o C:/Develop/FPC/FPC/rtl/units/arm-android/heaptrc.o C:/Develop/FPC/FPC/rtl/units/arm-android/lineinfo.o C:/Develop/FPC/FPC/rtl/units/arm-android/lnfodwrf.o C:/Develop/FPC/FPC/rtl/units/arm-android/termio.o C:/Develop/FPC/FPC/rtl/units/arm-android/unix.o C:/Develop/FPC/FPC/rtl/units/arm-android/linux.o C:/Develop/FPC/FPC/rtl/units/arm-android/initc.o C:/Develop/FPC/FPC/rtl/units/arm-android/cmem.o C:/Develop/FPC/FPC/rtl/units/arm-android/crt.o C:/Develop/FPC/FPC/rtl/units/arm-android/printer.o C:/Develop/FPC/FPC/rtl/units/arm-android/linuxvcs.o C:/Develop/FPC/FPC/rtl/units/arm-android/sysutils.o C:/Develop/FPC/FPC/rtl/units/arm-android/typinfo.o C:/Develop/FPC/FPC/rtl/units/arm-android/math.o C:/Develop/FPC/FPC/rtl/units/arm-android/matrix.o C:/Develop/FPC/FPC/rtl/units/arm-android/varutils.o C:/Develop/FPC/FPC/rtl/units/arm-android/charset.o C:/Develop/FPC/FPC/rtl/units/arm-android/character.o C:/Develop/FPC/FPC/rtl/units/arm-android/ucomplex.o C:/Develop/FPC/FPC/rtl/units/arm-android/getopts.o C:/Develop/FPC/FPC/rtl/units/arm-android/errors.o C:/Develop/FPC/FPC/rtl/units/arm-android/sockets.o C:/Develop/FPC/FPC/rtl/units/arm-android/gpm.o C:/Develop/FPC/FPC/rtl/units/arm-android/serial.o C:/Develop/FPC/FPC/rtl/units/arm-android/terminfo.o C:/Develop/FPC/FPC/rtl/units/arm-android/dl.o C:/Develop/FPC/FPC/rtl/units/arm-android/dynlibs.o C:/Develop/FPC/FPC/rtl/units/arm-android/video.o C:/Develop/FPC/FPC/rtl/units/arm-android/mouse.o C:/Develop/FPC/FPC/rtl/units/arm-android/keyboard.o C:/Develop/FPC/FPC/rtl/units/arm-android/variants.o C:/Develop/FPC/FPC/rtl/units/arm-android/types.o C:/Develop/FPC/FPC/rtl/units/arm-android/dateutils.o C:/Develop/FPC/FPC/rtl/units/arm-android/sysconst.o C:/Develop/FPC/FPC/rtl/units/arm-android/fmtbcd.o C:/Develop/FPC/FPC/rtl/units/arm-android/cthreads.o C:/Develop/FPC/FPC/rtl/units/arm-android/classes.o C:/Develop/FPC/FPC/rtl/units/arm-android/fgl.o C:/Develop/FPC/FPC/rtl/units/arm-android/convutils.o C:/Develop/FPC/FPC/rtl/units/arm-android/stdconvs.o C:/Develop/FPC/FPC/rtl/units/arm-android/strutils.o C:/Develop/FPC/FPC/rtl/units/arm-android/rtlconsts.o C:/Develop/FPC/FPC/rtl/units/arm-android/dos.o C:/Develop/FPC/FPC/rtl/units/arm-android/objects.o C:/Develop/FPC/FPC/rtl/units/arm-android/cwstring.o C:/Develop/FPC/FPC/rtl/units/arm-android/fpcylix.o C:/Develop/FPC/FPC/rtl/units/arm-android/clocale.o C:/Develop/FPC/FPC/rtl/units/arm-android/exeinfo.o C:\Develop\FPC\pp\/units/arm-android/rtl
make[5]: Leaving directory `C:/Develop/FPC/FPC/rtl/android'
make[4]: Leaving directory `C:/Develop/FPC/FPC/rtl'
make[3]: Leaving directory `C:/Develop/FPC/FPC'
make[2]: Leaving directory `C:/Develop/FPC/FPC'
make installother FPC=C:/Develop/FPC/FPC/compiler/ppcrossarm.exe ZIPDESTDIR=C:/Develop/FPC/FPC FPCMAKE=C:/Develop/FPC/FPC/utils/fpcm/fpcmake.exe
make[2]: Entering directory `C:/Develop/FPC/FPC'
make packages_install FPC=C:/Develop/FPC/FPC/compiler/ppcrossarm.exe ZIPDESTDIR=C:/Develop/FPC/FPC FPCMAKE=C:/Develop/FPC/FPC/utils/fpcm/fpcmake.exe
make[3]: Entering directory `C:/Develop/FPC/FPC'
make -C packages install
make[4]: Entering directory `C:/Develop/FPC/FPC/packages'
make -C fpmkunit bootstrap
make[5]: Entering directory `C:/Develop/FPC/FPC/packages/fpmkunit'
C:/Develop/FPC/FPC/compiler/ppc.exe src/fpmkunit.pp -n -FuC:/Develop/FPC/FPC/rtl/units/i386-win32 -FuC:/Develop/FPC/FPC/packages/paszlib -FuC:/Develop/FPC/FPC/packages/fcl-process -FuC:/Develop/FPC/FPC/packages/hash -FUunits_bs/i386-win32 -Fu../paszlib/src -Fu../hash/src -Fi../paszlib/src  -Fi../fcl-process/src/win -Fu../fcl-process/src -Fi../fcl-process/src/win32 -Fi../fcl-process/src/dummy 
make[5]: Leaving directory `C:/Develop/FPC/FPC/packages/fpmkunit'
C:/Develop/FPC/FPC/compiler/ppc.exe fpmake.pp -n -FuC:/Develop/FPC/FPC/packages/fpmkunit/units_bs/i386-win32 -FuC:/Develop/FPC/FPC/rtl/units/i386-win32  
.\fpmake.exe install --localunitdir=.. --os=android --cpu=arm -o -Tandroid -o -Parm -o -XParm-linux-androideabi- -o -Xr -o -Ur -o -Xs -o -O2 -o -n -o -FuC:/Develop/FPC/FPC/rtl/units/arm-android -o -darm -o -dRELEASE --compiler=C:/Develop/FPC/FPC/compiler/ppcrossarm.exe -bu -sp --prefix=C:\Develop\FPC\pp\ 
Skipped package a52 which has been disabled for target arm-android
Skipped package amunits which has been disabled for target arm-android
Skipped package aspell which has been disabled for target arm-android
Skipped package bfd which has been disabled for target arm-android
Installing package bzip2
The installer encountered the following error:
Failed to create directory "C:\Develop\FPC\pp \units\arm-android\bzip2\"
make[4]: Leaving directory `C:/Develop/FPC/FPC/packages'
make[3]: Leaving directory `C:/Develop/FPC/FPC'
make[2]: Leaving directory `C:/Develop/FPC/FPC'
make[1]: Leaving directory `C:/Develop/FPC/FPC'
make-20130222-1246.log (11,235 bytes)   

silvioprog

2013-02-22 16:54

reporter   ~0065822

... I'm following this article: http://wiki.freepascal.org/Android. But, without success. x(

Sven Barth

2013-02-22 18:33

manager   ~0065823

Please test and close if okay.

Regards,
Sven

Yuriy Sydorov

2013-02-24 14:33

manager   ~0065860

I forgot to commit the dummy clocale for android and it caused all these problems. It is committed in r23648. I've reverted the patch in r23636, since it is not needed anymore.

Sven, please assign android issues to me to eliminate such misunderstandings in future.

Sven Barth

2013-02-24 20:19

manager   ~0065866

Okay, will do. Sorry for the inconvenience :)

Regards,
Sven

Issue History

Date Modified Username Field Change
2013-02-21 18:08 Takeda Matsuki New Issue
2013-02-21 18:08 Takeda Matsuki File Added: Clocale failed (using make v3.80).txt
2013-02-21 18:09 Takeda Matsuki File Added: Clocale failed (using make v3.82).txt
2013-02-21 21:42 Marco van de Voort Note Added: 0065806
2013-02-22 11:03 Takeda Matsuki Note Added: 0065813
2013-02-22 11:03 Takeda Matsuki File Added: clocale missing patch - takeda.patch
2013-02-22 16:37 silvioprog Note Added: 0065820
2013-02-22 16:51 silvioprog Note Added: 0065821
2013-02-22 16:52 silvioprog File Added: make-20130222-1246.log
2013-02-22 16:54 silvioprog Note Added: 0065822
2013-02-22 18:33 Sven Barth Fixed in Revision => 23646
2013-02-22 18:33 Sven Barth Note Added: 0065823
2013-02-22 18:33 Sven Barth Status new => resolved
2013-02-22 18:33 Sven Barth Fixed in Version => 2.7.1
2013-02-22 18:33 Sven Barth Resolution open => fixed
2013-02-22 18:33 Sven Barth Assigned To => Sven Barth
2013-02-24 14:33 Yuriy Sydorov Note Added: 0065860
2013-02-24 20:19 Sven Barth Note Added: 0065866